Page MenuHomeMiraheze

File extensions + skin install
Closed, ResolvedPublic

Description

Hello! How are you?
So, I created this new wiki as a little project with one of my friends, it will work like a mini-workshop for games, where you can upload your own creations (like drawings, mods, patches, etc).
So, I would like to have the following file extensions enabled for upload:

--LISTED ON MANAGEWIKI/SETTINGS RESTRICTED--
.apng, .avi, .bmp, .doc, .docx, .flac, .gz, .ips, .m4a, .mid, .midi, .mkv, .mp3, .mp4, .psd, .rar, .tar, .tar.gz, .txt, .wav, .zip, .7z

--NOT LISTED--
.uni, .unis, .uniz (Files for my a fangame made by my friend. It's basically a bunch coordinates to open and load a custom level. .unis is a slightly updated version of .uni, and .uniz is the same, but it contains .png/.jpg for custom visuals)
.bps (an updated version of .ips, used as a patch file for various old games)
.s3m, .xm, .it, .mod, .mptm, .mtm (Module (music) formats, for trackers)
.sf2 (Soundfont format, a very basic one, used by almost all music software)
.nsf (Nintendo Entertainment System/Famicom soundfont file, used by NES emulators)

By the way, I'm aware that some audio and video files are enabled if I use TimedMediaHandler, but I want to rely more on browser support for these formats, instead of an extension.
And all formats on --NOT LISTED-- (except .bps) are used on open-source software. If more detail is needed:
https://github.com/MarioSilvaGH/UniMaker & https://wiki.openmpt.org/Manual:_Module_formats

Request 2:
In the past, the skin Chameleon (https://www.mediawiki.org/wiki/Skin:Chameleon) has been declined for not working with Miraheze (I don't know why exactly, though), but it's been quite a while and the skin (and MW itself) has been updated, and if possible, I would like to be installed on my wiki.
(And if there's some settings like tabs, accordions, menus, logos, etc that needs to be enabled on php, please, activate it)

Thanks a lot :D

Event Timeline

Lakelimbo created this task.Jun 13 2020, 01:53
Lakelimbo updated the task description. (Show Details)Jun 13 2020, 03:01
Reception123 renamed this task from 2 requests to File extensions + skin install.Jun 13 2020, 07:24

Listed file extensions enabled.

AmandaCath closed this task as Resolved.Jun 19 2020, 15:38
AmandaCath claimed this task.
AmandaCath added a subscriber: AmandaCath.

File extensions enabled per Reception123. Chameleon was declined initially in T3388 due to technical bugs and as of T5367 these bugs had not yet been resolved. The latter task is not that old, so I am going to assume that the issues have not yet been worked out, but someone from Site Reliability Engineering can correct me if I am wrong. As the file extensions have been taken care of, this task is as resolved as it is likely able to be.

Reception123 reopened this task as Open.Jun 19 2020, 15:47
Reception123 removed AmandaCath as the assignee of this task.

The Chameleon skin has not been tested since 2018 as far as I know, so it makes sense to check if the issues have been fixed.

RhinosF1 moved this task from Backlog to Review Needed on the Extensions board.

Pinging @John or @Southparkfan to sign security side off as there's no completed WMF review and there's been numerous changes since 2018.

so, is there any update on this?

Southparkfan added a subscriber: Paladox.

@Paladox, what was the reason this extension was declined as 'hard/impossible to install'?

@Southparkfan I don't exactly know if it's the reason why, but recently I made this task about an extension: https://phabricator.miraheze.org/T5972
and the skin may depend on it to work properly. The extension page (on MW) mentions Chameleon various times but I can't test myself that (and it also needs Composer which I don't understand exactly how it works, but I suppose isn't a problem here)

@Paladox, what was the reason this extension was declined as 'hard/impossible to install'?

Chameleon Was declined because it didn’t seem to work for me when we tried installing it (it broke as it requires composer, so I guess we can try again and if necessary we can add it’s composer file to https://github.com/miraheze/mediawiki/blob/REL1_34/composer.json#L137)

Lakelimbo closed this task as Resolved.Aug 22 2020, 06:52

Closed this task as resolved because I'm not really interested in this idea anymore but I'll be using this wiki as my small library with the enabled file types.
Chameleon, however, can still be tested as there's even newer updates, I assume, but isn't a priority for now.